SystemOrganization addCategory: #'SWE-IssueTracker'!

Object subclass: #ITImageDB
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWE-IssueTracker'!

!ITImageDB class methodsFor: 'as yet unclassified' stamp: 'afk 11/12/2007 12:09'!
connect! !

!ITImageDB methodsFor: 'Issues' stamp: 'afk 11/12/2007 12:22'!
addIssue: anIssue! !

Object subclass: #ITIssue
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWE-IssueTracker'!

!ITIssue methodsFor: 'changing' stamp: 'afk 11/12/2007 11:48'!
addComment: comment! !

Object subclass: #ITIssueManager
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWE-IssueTracker'!

!ITIssueManager methodsFor: 'as yet unclassified' stamp: 'afk 11/12/2007 11:51'!
addIssueWithTitle: aString! !

!ITIssueManager methodsFor: 'as yet unclassified' stamp: 'afk 11/12/2007 11:52'!
addIssueWithTitle: aTitle withComment: aComment! !

Object subclass: #ITProtocolManager
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWE-IssueTracker'!

WAComponent subclass: #ITAddIssueComponent
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWE-IssueTracker'!

!ITAddIssueComponent class methodsFor: 'as yet unclassified' stamp: 'afk 11/12/2007 11:42'!
canBeRoot
	^ true! !

!ITAddIssueComponent methodsFor: 'as yet unclassified' stamp: 'afk 11/12/2007 11:44'!
renderContentOn: html
	html heading 
		level: 1;
		with: 'Add Issue'.! !

TestCase subclass: #ITImageDBTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWE-IssueTracker'!

!ITImageDBTest methodsFor: 'as yet unclassified' stamp: 'afk 11/12/2007 12:23'!
testAddIssue

	| newIssue db returningIssue |
	newIssue := ITIssue new.
	db := ITImageDB connect.
	returningIssue := db addIssue: newIssue.
	
	self assert: ( returningIssue isKindOf: ITIssue ) description: 'Returning Object is not kind of ITIssue'.
	self assert: ( returningIssue ID notNil ) description: 'Returning ID is nil'.! !

TestCase subclass: #ITIssueManagerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWE-IssueTracker'!

!ITIssueManagerTest methodsFor: 'as yet unclassified' stamp: 'afk 11/12/2007 12:34'!
testAddIssue
	
	| IssueManager ID |
	IssueManager := ITIssueManager new.
	
	ID := IssueManager addIssueWithTitle: 'A Test Issue'.
	self assert: (ID isNumber) description: 'ID is not a number'.
	self assert: (ID isNonZero) description: 'ID is zero'.
	! !

TestCase subclass: #ITIssueTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWE-IssueTracker'!

TestCase subclass: #ITProtocolManagerTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SWE-IssueTracker'!
